key_state_list Struct Reference

`#include <key_state.h>`

## Data Fields

db_object_t * | dbo
db_result_list_t * | result_list
const db_result_t * | result
key_state_t * | key_state
int | object_store
key_state_t ** | object_list
size_t | object_list_size
size_t | object_list_position
int | object_list_first
int | associated_fetch
key_data_list_t * | key_data_id_list

## Detailed Description

A list of key state objects.

Definition at line 262 of file key_state.h.

## Field Documentation

## associated_fetch

int key_state_list::associated_fetch

Definition at line 272 of file key_state.h.

Referenced by key_state_list_copy(), key_state_list_get_by_clauses(), and key_state_list_get_by_key_data_id().

## dbo

db_object_t* key_state_list::dbo

Definition at line 263 of file key_state.h.

Referenced by key_state_list_begin(), key_state_list_free(), key_state_list_get_begin(), key_state_list_get_by_clauses(), key_state_list_get_by_key_data_id(), key_state_list_get_next(), key_state_list_new(), key_state_list_new_copy(), and key_state_list_next().

## key_data_id_list

key_data_list_t* key_state_list::key_data_id_list

Definition at line 273 of file key_state.h.

Referenced by key_state_list_copy(), and key_state_list_free().

## key_state

key_state_t* key_state_list::key_state

Definition at line 266 of file key_state.h.

Referenced by key_state_list_begin(), key_state_list_free(), and key_state_list_next().

## object_list

key_state_t** key_state_list::object_list

Definition at line 268 of file key_state.h.

Referenced by key_state_list_begin(), key_state_list_copy(), key_state_list_free(), key_state_list_get_by_clauses(), key_state_list_get_by_key_data_id(), and key_state_list_next().

## object_list_first

int key_state_list::object_list_first

Definition at line 271 of file key_state.h.

Referenced by key_state_list_copy(), key_state_list_get_by_clauses(), key_state_list_get_by_key_data_id(), and key_state_list_next().

## object_list_position

size_t key_state_list::object_list_position

Definition at line 270 of file key_state.h.

Referenced by key_state_list_begin(), key_state_list_copy(), and key_state_list_next().

## object_list_size

size_t key_state_list::object_list_size

Definition at line 269 of file key_state.h.

Referenced by key_state_list_begin(), key_state_list_copy(), key_state_list_free(), key_state_list_get_by_clauses(), key_state_list_get_by_key_data_id(), and key_state_list_next().

## object_store

int key_state_list::object_store

Definition at line 267 of file key_state.h.

Referenced by key_state_list_begin(), key_state_list_copy(), key_state_list_get_begin(), key_state_list_get_next(), key_state_list_next(), and key_state_list_object_store().

## result

const db_result_t* key_state_list::result

Definition at line 265 of file key_state.h.

## result_list

db_result_list_t* key_state_list::result_list

Definition at line 264 of file key_state.h.

Referenced by key_state_list_begin(), key_state_list_copy(), key_state_list_free(), key_state_list_get_begin(), key_state_list_get_by_clauses(), key_state_list_get_by_key_data_id(), key_state_list_get_next(), and key_state_list_next().

The documentation for this struct was generated from the following file:

- src/db/key_state.h